Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.modeshape.jcr.cache.document
Enum SessionNode.LockChange

    java.lang.Object
      java.lang.Enum<SessionNode.LockChange>
          org.modeshape.jcr.cache.document.SessionNode.LockChange

All Implemented Interfaces:
  Serializable, Comparable<SessionNode.LockChange>

Enclosing class:
  SessionNode

    public static enum SessionNode.LockChange

extends Enum<SessionNode.LockChange>

Enum Constant Summary
`LOCK_FOR_NON_SESSION`
`LOCK_FOR_SESSION`
`UNLOCK`

Method Summary
`static SessionNode.LockChange` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SessionNode.LockChange[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LOCK_FOR_SESSION

    public static final SessionNode.LockChange LOCK_FOR_SESSION

### LOCK_FOR_NON_SESSION

    public static final SessionNode.LockChange LOCK_FOR_NON_SESSION

### UNLOCK

    public static final SessionNode.LockChange UNLOCK

Method Detail

### values

    public static SessionNode.LockChange[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SessionNode.LockChange c : SessionNode.LockChange.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SessionNode.LockChange valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.